/*******************************************************************************
 * Copyright (c) 2013, Perforce Software
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ******************************************************************************/
package com.perforce.p4java.extension.command;

/**
 * An enumeration of the Perforce object domain model (P4COM object model)
 * understood by this API.
 * <p>
 * 
 * Associated with each constant is a String command name, which represents the
 * raw command passed to the Perforce server to retrieve data for this domain
 * object.
 */
public enum PerforceDomain {
    COUNTER("counter"), COUNTERS("counters"), DEPOTS("depots"), DESCRIBE(
	    "describe"), FILE_CONTENTS("print"), FSTAT("fstat"), USER("user"), USERS(
	    "users"), DIRS("dirs"), CHANGELIST("change"), PASSWD("passwd"), CHANGES(
	    "changes"), FILES("files"), SIZES("sizes");

    private String command;

    private PerforceDomain(final String command) {
	this.command = command;
    }

    public String getCommand() {
	return command;
    }
}
